## NAME

r.dma2ll.sh - Import USGS 1:250,000 DEM files (DMA formatted) into a lat-lon region
(GRASS Shell Script)

## SYNOPSIS

r.dma2ll.sh dem_file raster_name

## DESCRIPTION

r.dma2ll.sh is a UNIX Bourne shell to ease importing of DMA-formatted USGS 1:250,000-scale Digital Elevation Models (DEM) data into a raster map in a lat-lon database. r.dma2ll.sh extracts the boundary coordinates from the DEM file automatically.

## OPTIONS

None.

### Parameters:

dem_file
  The name of the DMA-formatted DEM file to be imported.
raster_name
  The name of the resulting raster map. The new raster map is created in the currently selected mapset and database.

## NOTES

Little error checking is performed. A temporary file is created and deleted during import. If $TMPDIR is set, the temporary file will be created in the directory specified. Otherwise, the temporary file is created in /tmp.

Environment variables GISBASE , GISDBASE , LOCATION_NAME and MAPSET are used to specify the GRASS database, location, and mapset.

Standard UNIX programs dd , sed and awk are assumed.

## FILES

DMA-formatted DEM data files can be obtained from:
http://edcwww.cr.usgs.gov/doc/edchome/ndcdb/ndcdb.html
http://edcftp.cr.usgs.gov/pub/data/DEM/250/
ftp://edcftp.cr.usgs.gov/pub/data/DEM/250/

## SEE ALSO

m.dmaUSGSread
m.rot90
m.in.bin

## AUTHOR

Tom Poindexter, March, 1999
tpoindex@nyx.net

Last changed: $Date: 2002/01/25 05:45:34 $